Linux repositories inspector

libjetty9-java - Java servlet engine and webserver -- core libraries

Jetty is an Open Source HTTP Servlet Server written in 100% Java. It is designed to be light weight, high performance, embeddable, extensible and flexible, thus making it an ideal platform for serving dynamic HTTP requests from any Java application.
This package contains the core libraries
9.4.15
Debian iconDebian 10.0
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
9.2.26
Debian iconDebian 9.0
Ubuntu iconUbuntu 18.10
9.2.23
Ubuntu iconUbuntu 18.04 LTS
9.2.22
Ubuntu iconUbuntu 17.10
9.2.21
Debian iconDebian 9.0
9.2.14
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb9.4.15-110.03.20192.48 MiB3.09 MiB
Debian iconDebian 9.0 stretch/maindeb9.2.21-1+deb9u112.01.20191.72 MiB2.12 MiB
Debian iconDebian 9.0 stretch-backports/maindeb9.2.26-1~bpo9+112.01.20191.73 MiB2.13 MiB
Ubuntu iconUbuntu 17.10 artful/universedeb9.2.22-210.11.20171.61 MiB2.14 MiB
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb9.2.23-111.01.20181.61 MiB2.14 MiB
Ubuntu iconUbuntu 18.04 LTS bionic-proposed/universedeb9.4.15-1~18.04.1ubuntu110.04.20192.49 MiB3.09 MiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb9.2.26-114.01.20191.61 MiB2.12 MiB
Ubuntu iconUbuntu 18.10 cosmic-proposed/universedeb9.4.15-1~18.04.1ubuntu110.04.20192.49 MiB3.09 MiB
Ubuntu iconUbuntu 19.04 disco/universedeb9.4.15-128.02.20192.34 MiB3.09 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb9.2.14-110.11.20171.57 MiB2.09 MiB

Latest updates

Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-proposed/universe: Updated from 9.4.15-1~18.04 to 9.4.15-1~18.04.1ubuntu1

10.04.2019 15:15
Matthias Klose
  • Backport for OpenJDK 11. LP: #1817567.
Tiago Stürmer Daitx
  • debian/jetty9.init, debian/jetty9.default: revert conffiles to previous version, this allows unattended-upgrades to update the package even when there are local changes.
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Updated from 9.4.15-1~18.04 to 9.4.15-1~18.04.1ubuntu1

10.04.2019 14:45
Matthias Klose
  • Backport for OpenJDK 11. LP: #1817567.
Tiago Stürmer Daitx
  • debian/jetty9.init, debian/jetty9.default: revert conffiles to previous version, this allows unattended-upgrades to update the package even when there are local changes.
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-proposed/universe: Version 9.4.15-1~18.04 introduced

12.03.2019 21:15
  • Backport for OpenJDK 11. LP: #1817567.
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 9.4.14-1 to 9.4.15-1

10.03.2019 08:51
  • New upstream release
    • Refreshed the patches
    • New build dependency on libjboss-logging-java
    • Ignore the new jetty-websocket-tests module
  • Standards-Version updated to 4.3.0
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 9.4.15-1~18.04 introduced

10.03.2019 08:42
  • Backport for OpenJDK 11. LP: #1817567.
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Updated from 9.4.14-1 to 9.4.15-1

28.02.2019 11:56
  • New upstream release
    • Refreshed the patches
    • New build dependency on libjboss-logging-java
    • Ignore the new jetty-websocket-tests module
  • Standards-Version updated to 4.3.0
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 9.4.14-1 introduced

14.01.2019 13:04
  • New upstream release
    • Refreshed the patches
    • Ignore the new test dependencies
    • Build the new modules: jetty-alpn-java-*, jetty-alpn-openjdk8-*, jetty-http2-*, jetty-cdi-* and jetty-unixsocket
    • Ignore the new optional modules: jetty-alpn-conscrypt-*, jetty-memcached, jetty-cdi-servlet, jetty-gcloud, jetty-hazelcast and jetty-infinispan
    • No longer build the removed modules: jetty-monitor and jetty-rhttp-*
    • Updated the Maven rules
    • Derive the content of the jetty9 package from the output of the jetty-distribution module
    • Require Java 8 or higher to run
    • Depend on libasm-java (>= 7.0)
    • Updated the links in /usr/share/jetty9/lib/
    • Added jetty-util.jar to the classpath of jetty-start.jar
  • Added a systemd service file
  • Removed the default 256M heap limit
  • Removed the NO_START option from the service configuration
  • Depend on libtomcat9-java instead of libtomcat8-java
  • Don't follow the symlinks when setting the owner of the /var/cache/jetty9, /var/log/jetty9 and /var/lib/jetty9 directories in the postinst script
  • Updated the README file (Closes: #906770)
  • Exclude the documentation directory from the upstream tarball
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 9.2.26-1 introduced

14.01.2019 03:11
  • Team upload.
  • New upstream release
  • Fixed the Maven rule for tomcat-jaspic-api (Closes: #907147)
  • Standards-Version updated to 4.2.1
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 9.2.23-1 to 9.4.14-1

12.01.2019 14:03
  • New upstream release
    • Refreshed the patches
    • Ignore the new test dependencies
    • Build the new modules: jetty-alpn-java-*, jetty-alpn-openjdk8-*, jetty-http2-*, jetty-cdi-* and jetty-unixsocket
    • Ignore the new optional modules: jetty-alpn-conscrypt-*, jetty-memcached, jetty-cdi-servlet, jetty-gcloud, jetty-hazelcast and jetty-infinispan
    • No longer build the removed modules: jetty-monitor and jetty-rhttp-*
    • Updated the Maven rules
    • Derive the content of the jetty9 package from the output of the jetty-distribution module
    • Require Java 8 or higher to run
    • Depend on libasm-java (>= 7.0)
    • Updated the links in /usr/share/jetty9/lib/
    • Added jetty-util.jar to the classpath of jetty-start.jar
  • Added a systemd service file
  • Removed the default 256M heap limit
  • Removed the NO_START option from the service configuration
  • Depend on libtomcat9-java instead of libtomcat8-java
  • Don't follow the symlinks when setting the owner of the /var/cache/jetty9, /var/log/jetty9 and /var/lib/jetty9 directories in the postinst script
  • Updated the README file (Closes: #906770)
  • Exclude the documentation directory from the upstream tarball
Debian 9.0 icon

Debian 9.0 stretch-backports/main: Updated from 9.2.24-1~bpo9+1 to 9.2.26-1~bpo9+1

12.01.2019 13:51
  • Rebuild for stretch-backports.
Debian 9.0 icon

Debian 9.0 stretch/main: Updated from 9.2.21-1 to 9.2.21-1+deb9u1

12.01.2019 13:48
  • CVE-2017-7658 CVE-2017-7657 CVE-2017-7656
Debian 9.0 icon

Debian 9.0 stretch-backports/main: Updated from 9.2.23-1~bpo9+1 to 9.2.24-1~bpo9+1

19.06.2018 07:50
Debian 9.0 icon

Debian 9.0 stretch-backports/main: Version 9.2.23-1~bpo9+1 introduced

24.01.2018 10:55
  • Rebuild for stretch-backports.
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 9.2.23-1 removed

11.01.2018 09:00
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Updated from 9.2.22-3 to 9.2.23-1

11.01.2018 08:46
  • Team upload.
  • New upstream release
  • Fixed the broken symlinks indirectly caused by the new pom patching sequence in maven-debian-helper 2.2.8 (Closes: #884771)
  • Added the missing dependency on lsb-base
  • Standards-Version updated to 4.1.3
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 9.2.23-1 introduced

11.01.2018 06:25
  • Team upload.
  • New upstream release
  • Fixed the broken symlinks indirectly caused by the new pom patching sequence in maven-debian-helper 2.2.8 (Closes: #884771)
  • Added the missing dependency on lsb-base
  • Standards-Version updated to 4.1.3
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 9.2.22-3 to 9.2.23-1

10.01.2018 22:36
  • Team upload.
  • New upstream release
  • Fixed the broken symlinks indirectly caused by the new pom patching sequence in maven-debian-helper 2.2.8 (Closes: #884771)
  • Added the missing dependency on lsb-base
  • Standards-Version updated to 4.1.3
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 9.2.22-2 to 9.2.22-3

19.12.2017 22:41
  • Team upload.
  • Depend on libgeronimo-jta-1.2-spec-java instead of glassfish-javaee
  • Standards-Version updated to 4.1.2
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Updated from 9.2.22-2 to 9.2.22-3

14.12.2017 23:41
  • Team upload.
  • Depend on libgeronimo-jta-1.2-spec-java instead of glassfish-javaee
  • Standards-Version updated to 4.1.2
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 9.2.22-3 removed

14.12.2017 22:20
⇧ Top